import { ApiCall } from "tsrpc";
import { ReqWzFightGroup, ResWzFightGroup } from "../../cross/protocols/wzry/PtlWzFightGroup";

export default async function (call: ApiCall<ReqWzFightGroup, ResWzFightGroup>) {
    let _myFight = await G.mongodb.collection('wzry_fight').find({ ...call.req.where }).toArray()
    call.succ({ info: _myFight })
}